/**
 * Copyright (c) 2013-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring.so.components.bc.soap;

import org.ow2.petals.cli.extension.command.monitoring.so.api.EmittableDefect;

/**
 * The emittable defect about no more web-service clients available in its pool
 * of the BC SOAP.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class NoMoreWsClientsInPool implements EmittableDefect {

    @Override
    public String getName() {
        return "org.ow2.petals.bc.soap.serviceclientspool.exhausted";
    }

    @Override
    public String getDescription() {
        return "No more web-service clients is available in its pool to process outgoing requests !";
    }
    
}
